<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
  <div class="main-job-description__right">
    <mb-button *ngIf="objFunction?.create" mbButtonSize="MEDIUM" mbButtonText="{{'system.managerDirect.label.assignNew'| translate}}"
               mbButtonBgColor="#fff" mbButtonTextColor="#141ED2" [customStyle]="true" (click)="redirectAssign()">
    </mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM"  *ngIf="objFunction?.import"
               mbButtonText="{{'system.managerDirect.label.createinBatch' | translate}}" mbButtonBgColor="#141ED2"
               mbButtonTextColor="#fff" [customStyle]="true" (click)="showUpload()">
    </mb-button>
  </div>
</div>

<nz-card class="main-job-card">
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="pl-5px">
      <employee-data-picker [(ngModel)]="employeeId" [mbCanText]="true" [ngModelOptions]="{standalone: true}"
                            (selectedChange)="onChange($event)"
                            mbLabelText="{{'system.managerDirect.label.emp' | translate}}">
      </employee-data-picker>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId"
                 mbLabelText="{{'Job' | translate}}" mbPlaceholder="{{'system.managerDirect.placeHolder.chooseJob' | translate}}"
                 [(ngModel)]="searchParams.jobId">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left position-relative">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="50" [defaultInput]="true"
                     (mbClick)="showModalOrg($event)"
                     mbPlaceholderText="{{ 'modelOrganization.initScreen.placeholder.chooseUnit' | translate }}"
                     mbLabelText="{{ 'system.managerDirect.label.org' | translate }}" [mbReadOnly]="true">
      </mb-input-text>
      <em *ngIf="orgName" nz-icon class="icon-delete-unit" (click)="clearOrgInput()" nzType="close-circle"
          nzTheme="outline"></em>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listAssign" mbKeyLabel="label" mbKeyValue="value"
                 mbLabelText="{{'system.managerDirect.label.assign' | translate}}" mbPlaceholder="{{'system.managerDirect.placeHolder.choooseAssign' | translate}}"
                 [(ngModel)]="searchParams.isAuto">
      </mb-select>
    </div>

  </div>
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listManager" mbKeyLabel="fullName" mbKeyValue="employeeId"
                 [(ngModel)]="searchParams.managerId" mbLabelText="{{'system.managerDirect.label.managerDirect' | translate}}"
                 mbPlaceholder="{{'system.managerDirect.placeHolder.choose' | translate}}">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listManager" mbKeyLabel="fullName" mbKeyValue="employeeId"
                 [(ngModel)]="searchParams.indirectManagerId" mbLabelText="{{'system.managerDirect.label.managerIndirect' | translate}}"
                 mbPlaceholder="{{'system.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="searchParams.fromDate"
        mbLabelText="{{ 'system.managerDirect.label.assignDate' | translate }}"
      >
      </mb-date-picker>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listDisplay" mbKeyLabel="label" mbKeyValue="value"
                 [(ngModel)]="searchParams.isLasted" mbLabelText="{{'system.managerDirect.label.display' | translate}}"
                 mbPlaceholder="{{'system.managerDirect.placeHolder.choose' | translate}}"></mb-select>
    </div>
    <div nz-row>
      <div class="main-job-card__left mt-20">
        <nz-radio-group [(ngModel)]="searchParams.isAssign">
          <label nz-radio nzValue="0">{{'system.managerDirect.label.unAssign' | translate}}</label>
          <label nz-radio nzValue="1">{{'system.managerDirect.label.assigned' | translate}}</label>
        </nz-radio-group>
      </div>
    </div>

  </div>
  <div class="main-job-card__button-search">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='SEARCH'
               mbButtonText="{{'common.button.search' | translate}}" (click)="onSearch()">
    </mb-button>
    <mb-button *ngIf="objFunction?.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='null'>
    <mb-table [heightTable]="heightTable"
              (changePageNum)='search($event)'
              (onDblClickNode)='dblClick($event)'
              [tableConfig]='tableConfig' [tableData]='dataTable'></mb-table>
  </mb-table-wrap>
</div>
<app-import-employee [showContent]='isImportData'
                     (onCloseModal)="doCloseImport()"
                     [urlApiDownloadTemp]='urlApiDownloadTemp'
                     [urlApiImport]='urlApiImport'>
</app-import-employee>
<ng-template #actionTmpl let-managerProcessId="managerProcessId">
  <div class="action">
    <mb-button mbButtonAvailableStyle='CONTENT' (click)="redirectAssign(managerProcessId)" *ngIf="objFunction.create">
      <img src="../../../../../assets/images/icon/assign-staff.svg" alt="" />
    </mb-button>
    <mb-button mbButtonAvailableStyle='CONTENT' (click)='deleteRecord(managerProcessId,$event)' *ngIf="objFunction.delete" [mbIsDisable]='searchParams.isAssign === "0"'>
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'></mb-button>
  </div>
</ng-template>
